Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455735 - root on encrypted PV on CCISS device fails to boot
Summary: root on encrypted PV on CCISS device fails to boot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-17 14:11 UTC by David Juran
Modified: 2009-05-11 12:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-11 12:53:30 UTC


Attachments (Terms of Use)
init script from initrd (deleted)
2008-07-17 14:11 UTC, David Juran
no flags Details

Description David Juran 2008-07-17 14:11:56 UTC
Description of problem:
Just as a test (yes, I know it's not a very common/sane use-case) I tried to
install Fedora 9 with root on an encrypted PV residing on a CCISS device. After
the installation was finished, the machine failed to boot. Inspecting the init
script that ended up in the initrd (attached) it seems like it doesn't even try
to load any scsi-modules...

Version-Release number of selected component (if applicable):
mkinitrd-6.0.52-2.fc9

How reproducible:
Every time

Steps to Reproduce:
1. Install a machine with root on an encrypted PV on a CCISS device
2. Watch it fail to boot

Comment 1 David Juran 2008-07-17 14:11:56 UTC
Created attachment 312051 [details]
init script from initrd

Comment 2 Jeremy Katz 2009-05-06 15:23:08 UTC
Does this work better now?

Comment 3 David Juran 2009-05-11 12:53:30 UTC
Works with mkinitrd-6.71-2.fc10 in F10


Note You need to log in before you can comment on or make changes to this bug.